Bug 139360 - CAN-2004-0970 temporary files issues in gzip.
CAN-2004-0970 temporary files issues in gzip.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gzip (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Jiri Ryska
Ben Levenson
impact=low,public=20041019
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-15 10:59 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-15 07:28:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-11-15 10:59:03 EST
Trustix has discovered temporary file bugs in gzexe, zdiff and znew
which could allow a local user to overwrite arbitrary files by
creating specially named symlinks.
Comment 1 Josh Bressers 2004-11-15 11:02:54 EST
This issue also affects RHEL2.1
Comment 2 Josh Bressers 2004-11-15 11:09:20 EST
We should also make sure we fix this in RHEL4 before it is released.

Note You need to log in before you can comment on or make changes to this bug.